> ## Documentation Index
> Fetch the complete documentation index at: https://docs.incident.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all follow-ups for an organisation.



## OpenAPI

````yaml /openapi/tags/follow-ups-v2.json get /v2/follow_ups
openapi: 3.0.3
info:
  description: "This is the API reference for incident.io.\n\nIt documents available API endpoints, provides examples of how to use it, and\ninstructions around things like authentication and error handling.\n\nThe API is hosted at:\n\n- https://api.incident.io/\n\nAnd you will need to create an API key via your [incident.io\ndashboard](https://app.incident.io/settings/api-keys) to make requests.\n\n# Making requests\n\nHere are the key concepts required to make requests to the incident.io API.\n\n## Authentication\n\nFor all requests made to the incident.io API, you'll need an API key.\n\nTo create an API key, head to the incident dashboard and visit [API\nkeys](https://app.incident.io/settings/api-keys). When you create the key, you'll be able to choose what actions it\ncan take for your account: choose carefully, as those roles can only be set\nwhen you first create the key. We'll only show you the token once, so make sure\nyou store it somewhere safe.\n\nAPI keys are global to your incident.io account, and can be managed by anyone\nwho has the right permissions. We display the user that created the API key,\nand the API key will remain valid if that user becomes deactivated.\n\nOnce you have the key, you should make requests to the API that set the\n`Authorization` request header using a \"Bearer\" authentication scheme:\n\n```\nAuthorization: Bearer <YOUR_API_KEY>\n```\n\n## Rate Limits\n\nThe incident.io API enforces rate limits to ensure consistent performance for all users.\n\nThe default rate limit is 1200 requests/minute per API key. This limit applies to most endpoints across the API.\n\nSome endpoints have lower rate limits, particularly those that interact with external third-party systems that impose\ntheir own limitations. These specific limits vary by endpoint, and we recommend relying on the rate-limit error\nresponses to understand usage patterns and implement appropriate retry strategies.\n\nWhen you exceed a rate limit, the API will respond with a `429 Too Many Requests` status code, along with a JSON\nresponse that includes information about the limit and when you can retry:\n\n```json\n{\n    \"type\": \"too_many_requests\",\n    \"status\": 429,\n    \"request_id\": \"b839a403-7704-41c1-bf6a-39a2d68caefa\",\n    \"rate_limit\": {\n        \"name\": \"api_key_name\",\n        \"limit\": 1200,\n        \"remaining\": 0,\n        \"retry_after\": \"Thu, 17 Apr 2025 11:17:18 UTC\"\n    },\n    \"errors\": [\n        {\n            \"code\": \"too_many_requests\",\n            \"message\": \"Too many requests hit the API too quickly. We recommend an exponential backoff of your requests.\"\n        }\n    ]\n}\n```\n\nThe response includes:\n* The name of the API key (`name`)\n* The bucket limit (`limit`)\n* The number of requests remaining (`remaining`)\n* When you can retry requests (`retry_after`)\n\n## Errors\n\nWe use standard HTTP response codes to indicate the status or failure of API\nrequests.\n\nThe API response body will be JSON, and contain more detailed information on the\nnature of the error.\n\nAn example error when a request is made without an API key:\n\n```json\n{\n  \"type\": \"authentication_error\",\n  \"status\": 401,\n  \"request_id\": \"8e3cc412-b49d-4957-9073-2c19d2c61804\",\n  \"errors\": [\n    {\n      \"code\": \"missing_authorization_material\",\n      \"message\": \"No authorization material provided in request\"\n    }\n  ]\n}\n```\n\nNote that the error:\n\n- Contains the HTTP status (`401`)\n- References the type of error (`authentication_error`)\n- Includes a `request_id` that can be provided to incident.io support to help\n\tdebug questions with your API request\n- Provides a list of individual errors, which go into detail about why the error\n\toccurred\n\nThe most common error will be a 422 Validation Error, which is returned when the\nrequest was rejected due to failing validations.\n\nThese errors look like this:\n\n```json\n{\n  \"type\": \"validation_error\",\n  \"status\": 422,\n  \"request_id\": \"631766c4-4afd-4803-997c-cd700928fa4b\",\n  \"errors\": [\n    {\n      \"code\": \"is_required\",\n      \"message\": \"A severity is required to open an incident\",\n      \"source\": {\n        \"field\": \"severity_id\"\n      }\n    }\n  ]\n}\n```\n\nThis error is caused by not providing a severity identifier, which should be at\nthe `severity_id` field of the request payload. Errors like these can be mapped to\nforms, should you be integrating with the API from a user-interface.\n\n## Compatibility\n\nWe won't make breaking changes to existing API services or endpoints, but will\nexpect integrators to upgrade themselves to the latest API endpoints within 3\nmonths of us deprecating the old service.\n\nWe will make changes that are considered backwards compatible, which include:\n\n- Adding new API endpoints and services\n- Adding new properties to responses from existing API endpoints\n- Reordering properties returned from existing API endpoints\n- Adding optional request parameters to existing API endpoints\n- Altering the format or length of IDs\n- Adding new values to enums\n\nIt is important that clients are robust to these changes, to ensure reliable\nintegrations.\n\nAs an example, if you are generating a client using an openapi-generator, ensure\nthe generated client is configured to support unknown enum values, often\nconfigured via the `enumUnknownDefaultCase` parameter.\n\nWhen breaking changes are unavoidable, we'll create a new service version on a\nseparate path, and run them in parallel.\n\nFor example:\n\n- https://api.incident.io/v1/incidents\n- https://api.incident.io/v2/incidents\n\nFor any questions, email support@incident.io.\n"
  title: incident.io
  version: 1.0.0
servers:
  - url: https://api.incident.io
security:
  - BearerAuth: []
tags:
  - description: >
      Manage incident follow-ups.


      Incidents can have follow-ups associated with them, which track work that
      should be done

      after an incident (e.g. improving some documentation, or upgrading a
      dependency). They can

      also be exported to external issue trackers.


      You can manage follow-ups in the incident Slack channel with
      <code>/incident follow-ups</code>, or on

      the incident homepage.
    name: Follow-ups V2
paths:
  /v2/follow_ups:
    get:
      tags:
        - Follow-ups V2
      summary: List
      description: List all follow-ups for an organisation.
      operationId: Follow-ups V2_List
      parameters:
        - allowEmptyValue: true
          description: Find follow-ups related to this incident
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          in: query
          name: incident_id
          schema:
            description: Find follow-ups related to this incident
            example: 01FCNDV6P870EA6S7TK1DSYDG0
            type: string
        - allowEmptyValue: true
          description: >-
            Filter to follow-ups from incidents of the given mode. If not set,
            only follow-ups from `standard` and `retrospective` incidents are
            returned
          example: standard
          in: query
          name: incident_mode
          schema:
            description: >-
              Filter to follow-ups from incidents of the given mode. If not set,
              only follow-ups from `standard` and `retrospective` incidents are
              returned
            enum:
              - standard
              - retrospective
              - test
              - tutorial
              - stream
            example: standard
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                follow_ups:
                  - assignee:
                      email: lisa@incident.io
                      id: 01FCNDV6P870EA6S7TK1DSYDG0
                      name: Lisa Karlin Curtis
                      role: owner
                      slack_user_id: U02AYNF2XJM
                    completed_at: '2021-08-17T13:28:57.801578Z'
                    created_at: '2021-08-17T13:28:57.801578Z'
                    creator:
                      alert:
                        id: 01GW2G3V0S59R238FAHPDS1R66
                        title: '*errors.withMessage: PG::Error failed to connect'
                      api_key:
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: My test API key
                      user:
                        email: lisa@incident.io
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: Lisa Karlin Curtis
                        role: owner
                        slack_user_id: U02AYNF2XJM
                      workflow:
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: My little workflow
                    description: Call the fire brigade
                    external_issue_reference:
                      issue_name: INC-123
                      issue_permalink: >-
                        https://linear.app/incident-io/issue/INC-1609/find-copywriter-to-write-up
                      provider: asana
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    incident_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    labels:
                      - bug
                      - urgent
                    priority:
                      description: A follow-up that requires immediate attention.
                      id: 01GNW4BAQ7XRMFF6FHKNXDFPRW
                      name: Urgent
                      rank: 10
                    status: outstanding
                    title: Cat is stuck in the tree
                    updated_at: '2021-08-17T13:28:57.801578Z'
              schema:
                $ref: '#/components/schemas/FollowUpsListResultV2'
          description: OK response.
components:
  schemas:
    FollowUpsListResultV2:
      example:
        follow_ups:
          - assignee:
              email: lisa@incident.io
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Lisa Karlin Curtis
              role: owner
              slack_user_id: U02AYNF2XJM
            completed_at: '2021-08-17T13:28:57.801578Z'
            created_at: '2021-08-17T13:28:57.801578Z'
            creator:
              alert:
                id: 01GW2G3V0S59R238FAHPDS1R66
                title: '*errors.withMessage: PG::Error failed to connect'
              api_key:
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: My test API key
              user:
                email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: owner
                slack_user_id: U02AYNF2XJM
              workflow:
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: My little workflow
            description: Call the fire brigade
            external_issue_reference:
              issue_name: INC-123
              issue_permalink: >-
                https://linear.app/incident-io/issue/INC-1609/find-copywriter-to-write-up
              provider: asana
            id: 01FCNDV6P870EA6S7TK1DSYDG0
            incident_id: 01FCNDV6P870EA6S7TK1DSYDG0
            labels:
              - bug
              - urgent
            priority:
              description: A follow-up that requires immediate attention.
              id: 01GNW4BAQ7XRMFF6FHKNXDFPRW
              name: Urgent
              rank: 10
            status: outstanding
            title: Cat is stuck in the tree
            updated_at: '2021-08-17T13:28:57.801578Z'
      properties:
        follow_ups:
          example:
            - assignee:
                email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: owner
                slack_user_id: U02AYNF2XJM
              completed_at: '2021-08-17T13:28:57.801578Z'
              created_at: '2021-08-17T13:28:57.801578Z'
              creator:
                alert:
                  id: 01GW2G3V0S59R238FAHPDS1R66
                  title: '*errors.withMessage: PG::Error failed to connect'
                api_key:
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  name: My test API key
                user:
                  email: lisa@incident.io
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  name: Lisa Karlin Curtis
                  role: owner
                  slack_user_id: U02AYNF2XJM
                workflow:
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  name: My little workflow
              description: Call the fire brigade
              external_issue_reference:
                issue_name: INC-123
                issue_permalink: >-
                  https://linear.app/incident-io/issue/INC-1609/find-copywriter-to-write-up
                provider: asana
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              incident_id: 01FCNDV6P870EA6S7TK1DSYDG0
              labels:
                - bug
                - urgent
              priority:
                description: A follow-up that requires immediate attention.
                id: 01GNW4BAQ7XRMFF6FHKNXDFPRW
                name: Urgent
                rank: 10
              status: outstanding
              title: Cat is stuck in the tree
              updated_at: '2021-08-17T13:28:57.801578Z'
          items:
            $ref: '#/components/schemas/FollowUpV2'
          type: array
      required:
        - follow_ups
      type: object
    FollowUpV2:
      properties:
        assignee:
          $ref: '#/components/schemas/UserV2'
        completed_at:
          description: When the follow-up was completed
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        created_at:
          description: When the follow-up was created
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        creator:
          $ref: '#/components/schemas/ActorV2'
        description:
          description: Description of the follow-up
          example: Call the fire brigade
          type: string
        external_issue_reference:
          $ref: '#/components/schemas/ExternalIssueReferenceV2'
        id:
          description: Unique identifier for the follow-up
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        incident_id:
          description: Unique identifier of the incident the follow-up belongs to
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        labels:
          description: Labels associated with this follow-up
          example:
            - bug
            - urgent
          items:
            example: abc123
            type: string
          type: array
        priority:
          $ref: '#/components/schemas/FollowUpPriorityV2'
        status:
          description: Status of the follow-up
          enum:
            - outstanding
            - completed
            - deleted
            - not_doing
          example: outstanding
          type: string
        title:
          description: Title of the follow-up
          example: Cat is stuck in the tree
          type: string
        updated_at:
          description: When the follow-up was last updated
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
      required:
        - id
        - incident_id
        - creator
        - title
        - status
        - labels
        - created_at
        - updated_at
      type: object
    UserV2:
      example:
        email: lisa@incident.io
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: Lisa Karlin Curtis
        role: owner
        slack_user_id: U02AYNF2XJM
      properties:
        email:
          description: Email address of the user.
          example: lisa@incident.io
          type: string
        id:
          description: Unique identifier of the user
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Name of the user
          example: Lisa Karlin Curtis
          type: string
        role:
          description: >-
            DEPRECATED: Role of the user as of March 9th 2023, this value is no
            longer updated.
          enum:
            - viewer
            - responder
            - administrator
            - owner
            - unset
          example: owner
          type: string
        slack_user_id:
          description: Slack ID of the user
          example: U02AYNF2XJM
          type: string
      required:
        - role
        - id
        - name
      type: object
    ActorV2:
      example:
        alert:
          id: 01GW2G3V0S59R238FAHPDS1R66
          title: '*errors.withMessage: PG::Error failed to connect'
        api_key:
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: My test API key
        user:
          email: lisa@incident.io
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: Lisa Karlin Curtis
          role: owner
          slack_user_id: U02AYNF2XJM
        workflow:
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: My little workflow
      properties:
        alert:
          $ref: '#/components/schemas/AlertActorV2'
        api_key:
          $ref: '#/components/schemas/APIKeyActorV2'
        user:
          $ref: '#/components/schemas/UserV2'
        workflow:
          $ref: '#/components/schemas/WorkflowActorV2'
      type: object
    ExternalIssueReferenceV2:
      example:
        issue_name: INC-123
        issue_permalink: >-
          https://linear.app/incident-io/issue/INC-1609/find-copywriter-to-write-up
        provider: asana
      properties:
        issue_name:
          description: Human readable ID for the issue
          example: INC-123
          type: string
        issue_permalink:
          description: URL linking directly to the action in the issue tracker
          example: >-
            https://linear.app/incident-io/issue/INC-1609/find-copywriter-to-write-up
          type: string
        provider:
          description: ID of the issue tracker provider
          enum:
            - asana
            - azure_devops
            - click_up
            - linear
            - jira
            - jira_server
            - github
            - gitlab
            - service_now
            - shortcut
          example: asana
          type: string
      required:
        - provider
        - issue_name
        - issue_permalink
      type: object
    FollowUpPriorityV2:
      example:
        description: A follow-up that requires immediate attention.
        id: 01GNW4BAQ7XRMFF6FHKNXDFPRW
        name: Urgent
        rank: 10
      properties:
        description:
          description: Description of the follow-up priority option
          example: A follow-up that requires immediate attention.
          type: string
        id:
          description: Unique identifier for the follow-up priority option
          example: 01GNW4BAQ7XRMFF6FHKNXDFPRW
          type: string
        name:
          description: Name of the follow-up priority option
          example: Urgent
          type: string
        rank:
          description: Rank is used to order the follow-up priority options correctly
          example: 10
          format: int64
          type: integer
      required:
        - id
        - name
        - rank
      type: object
    AlertActorV2:
      example:
        id: 01GW2G3V0S59R238FAHPDS1R66
        title: '*errors.withMessage: PG::Error failed to connect'
      properties:
        id:
          description: The ID of this alert
          example: 01GW2G3V0S59R238FAHPDS1R66
          type: string
        title:
          description: >-
            The title of the alert, parsed from the alert payload according to
            the alert source configuration
          example: '*errors.withMessage: PG::Error failed to connect'
          type: string
      required:
        - id
        - title
      type: object
    APIKeyActorV2:
      example:
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: My test API key
      properties:
        id:
          description: Unique identifier for this API key
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: The name of the API key, for the user's reference
          example: My test API key
          type: string
      required:
        - id
        - name
      type: object
    WorkflowActorV2:
      example:
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: My little workflow
      properties:
        id:
          description: Unique identifier for the workflow
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Name provided by the user when creating the workflow
          example: My little workflow
          type: string
      required:
        - id
        - name
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key from your incident.io dashboard (Settings → API keys)

````